CVE-2021-46243

NameCVE-2021-46243
DescriptionAn untrusted pointer dereference vulnerability exists in HDF5 v1.13.1-1 via the function H5O__dtype_decode_helper () at hdf5/src/H5Odtype.c. This vulnerability can lead to a Denial of Service (DoS).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
hdf5 (PTS)buster1.10.4+repack-10vulnerable
buster (security)1.10.4+repack-10+deb10u1vulnerable
bullseye1.10.6+repack-4+deb11u1vulnerable
bookworm1.10.8+repack1-1vulnerable
sid, trixie1.10.10+repack-3.3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
hdf5source(unstable)(unfixed)unimportant

Notes

https://github.com/HDFGroup/hdf5/issues/1326
https://github.com/advisories/GHSA-2rqw-mg55-mp69
Negligible security impact, malicous scientific data has more issues than a crash...

Search for package or bug name: Reporting problems